Results 1 to 9 of 9

Thread: OE1.6 images in DM7020 Hd v2?

  1. #1
    V.I.P
    Join Date
    Dec 2004
    Posts
    354
    Thanks
    12
    Thanked 14 Times in 13 Posts

    OE1.6 images in DM7020 Hd v2?

    In existing OE2.0 image in DM7020 HD v2 program Drtic (.ipk file to use subtitles) cannot be installed in plugins. No problem installing it in OE1.6 images. Can an image OE1.6 (like Nemesis 2.3) be installed in this Dreambox?

  2.    Advert



  3. #2
    Super Moderator saintomer1866's Avatar
    Join Date
    Sep 2005
    Posts
    2,821
    Thanks
    3,173
    Thanked 5,576 Times in 1,763 Posts
    As long as the image was written for your stb (DM7020HD v2) then yes you can install a OE1.6 Image on it
    I assume from your post that you have a Genuine Dreambox so make sure you only install a Genuine image on it, not a clone image.
    rather than going back to that old enviroment has the plugin not been updated to OE2.0 ?, 1.6 is very old now.
    or maybe it's been superceded by a new plugin ?

    You could also try extracting the ipk with 7zip on your pc then ftp'ing the files over to your dreambox manually
    it may then work on your OE2.0 image

    St.O
    Last edited by saintomer1866; 08-04-2017 at 07:26 PM.

  4. #3
    Senior Member harddriver's Avatar
    Join Date
    Aug 2006
    Posts
    197
    Thanks
    69
    Thanked 147 Times in 101 Posts
    Hi

    Try it with :
    Replace the xx with tt

  5. #4
    Senior Member harddriver's Avatar
    Join Date
    Aug 2006
    Posts
    197
    Thanks
    69
    Thanked 147 Times in 101 Posts
    Hi

    2nd
    You can also read in the BH Board about a Plugin called :
    Subtitle player
    it may also from interest for your thoughts
    Code:
    hxxp://www.vuplus-community.net/board/threads/tutorial-for-subtitle-player-ddamir-e2-v3-01.617/
    btw the Plugin can be used also on your DM 7020

  6. #5
    V.I.P
    Join Date
    Dec 2004
    Posts
    354
    Thanks
    12
    Thanked 14 Times in 13 Posts
    Thank you all for the answers. The new DM7020 HD v2 is genuine, but, as far as I know, no OE1.6 image has been written for it (all the images I can find for this box are OE2.0). Also, the plugin in question has not been updated to OE2.0, it only works in the old OE1.6. So there´s obviously no way to make this subtitle program work.

    @saintomer
    FTP-ed the .ipk file to /tmp and then telnet-ed to Dreambox. It installed in Plugins browser alright, but it´s dead there. Selecting it doesn´t bring up the list of subtitles in /tuxbox/Drtic/tit and activate the selected one.

    @harddriver
    I´ll try the Code posted and have a look at ddamir´s subtitle player.
    Last edited by luis; 08-04-2017 at 11:44 PM.

  7. #6
    V.I.P
    Join Date
    Dec 2004
    Posts
    5,584
    Thanks
    2,054
    Thanked 4,797 Times in 2,003 Posts
    A plugin is just python.

    Python can run on any platform be it OE1.6 or OE2.0 or OE2.5

    Its the ipk that's causing your problems, its been compiled for OE1.6 so when you try to install it, it will give you an MD5 checksum error.

    Youve been told by Saintomer how to overcome this, just do as he said, extract the ipk using 7zip, then extract the data file to give you access to the plugin folder. Then simply send the entire plugin folder over to your extensions folder on your box, and send any other folders that have also been extracted to the corresponding folders on your box as well, and then restart enigma2. Job done, your plugin is installed and will be fully functional.

    This is manual installation as suggested by Saintomer. Manual installation is not sending an ipk over to /tmp and then running it.

    Ian.
    Last edited by ian; 09-04-2017 at 07:41 AM.

  8. #7
    V.I.P
    Join Date
    Dec 2004
    Posts
    5,584
    Thanks
    2,054
    Thanked 4,797 Times in 2,003 Posts
    Ok upon further investigation the above wont work in this instance as the plugin contains a binary located in /var/tuxbox/Drtic which will also have been compiled for OE1.6 too.

    You dont say what your image is that you are using so Ive uploaded two ipk's for you for OE2.0 containing files compiled for Pli and the other one for Nabilo or Gemini

    Regardless of your image type though, because the Binaries in these ipk's have been compiled for OE2.0 if you find that these ipk's still wont install because your image is not Pli or Nabilo or Gemini, then the manual installation proceedure in the previous post WILL work if you extract these ipk's and follow the instructions above.

    Ian.
    Attached Files Attached Files
    Last edited by ian; 09-04-2017 at 08:29 AM.

  9. The Following 2 Users Say Thank You to ian For This Useful Post:

    luis (09-04-2017), saintomer1866 (09-04-2017)

  10. #8
    V.I.P
    Join Date
    Dec 2004
    Posts
    354
    Thanks
    12
    Thanked 14 Times in 13 Posts
    Thanks a lot for the files Ian. I have a Dream-Elite in my box now, so I have to reflash to PLi or Gemini to use them. Or I´ll try on Dream-Elite (being in already) first, just in case it might work.

  11. #9
    V.I.P
    Join Date
    Dec 2004
    Posts
    5,584
    Thanks
    2,054
    Thanked 4,797 Times in 2,003 Posts
    You DONT have to reflash

    If the ipk wont install on your Dream-Elite image just then install the plugin manually as instructed above.

    Ian.

Similar Threads

  1. Dm7020/8000
    By brain in forum Dreambox DM7025
    Replies: 3
    Last Post: 01-03-2017, 06:04 PM
  2. DM7020 crashing
    By akyr in forum Dreambox DM7020S
    Replies: 4
    Last Post: 26-09-2009, 10:15 AM
  3. PLiŽ Jade2 Images Suite 20090317 Rev.6300 for DM7020
    By sstylianou1976 in forum DM7020S Images
    Replies: 0
    Last Post: 31-03-2009, 12:18 AM
  4. dm7020-s v dm7020-si whats the difference?
    By techmob in forum Dreambox DM7020S
    Replies: 5
    Last Post: 19-01-2008, 10:40 PM
  5. USB for DM7020
    By luis in forum Dreambox DM7020S
    Replies: 7
    Last Post: 17-12-2006, 10:44 PM

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •